presage_0.9-1_i386.deb


Advertisement

Description

presage - intelligent predictive text entry platform (tools and demos)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name presage
Package version 0.9
Package release 1
Package architecture i386
Package type deb
Installed size 270 B
Download size 107.37 KB
Official Mirror ftp.br.debian.org
Presage is an intelligent predictive text entry platform.
This package contains the tools required to generate custom
statistical data used by the presage predictive text engine to
generate predictions.
This package also contains simple demonstration programs and simulator.

Alternatives

Package Version Architecture Repository
presage_0.9-1_amd64.deb 0.9 amd64 Debian Main
presage - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:4.1.1
libncurses5 >= 5.5-5~
libpresage1 >= 0.8.3
libsqlite3-0 >= 3.5.9
libstdc++6 >= 4.9
libtinfo5 -

Download

Type URL
Binary Package presage_0.9-1_i386.deb
Source Package presage

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install presage deb package:
    # sudo apt-get install presage

Files

Path
/usr/bin/presage_demo
/usr/bin/presage_demo_text
/usr/bin/presage_simulator
/usr/bin/text2ngram
/usr/share/doc/presage/AUTHORS
/usr/share/doc/presage/NEWS.gz
/usr/share/doc/presage/README.gz
/usr/share/doc/presage/THANKS
/usr/share/doc/presage/TODO.gz
/usr/share/doc/presage/changelog.Debian.gz
/usr/share/doc/presage/changelog.gz
/usr/share/doc/presage/copyright
/usr/share/doc/presage/getting_started.txt.gz
/usr/share/man/man1/presage_demo.1.gz
/usr/share/man/man1/presage_demo_text.1.gz
/usr/share/man/man1/presage_simulator.1.gz
/usr/share/man/man1/text2ngram.1.gz

Changelog

2014-09-28 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.9-1) unstable; urgency=medium
* New upstream release.
* Use dh-autoreconf to fix FTBFS on ppc64el. Closes: #756518
* Fix regression introduced with upgrade to wxPython3.0. Closes: #758499
* Fix out-of-date-standards-version lintian warning.
* Convert libpresage1, libpresage1-dbg, libpresage-data, and
libpresage-dev binary packages to multiarch. Closes: #728979
2014-09-14 - Olly Betts <olly@survex.com>
presage (0.8.9-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Update for wxPython3.0 (Closes: #758499):
+ New patch: wxpy3.0-compat.patch
2013-10-02 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.8.9-1) unstable; urgency=low
* New upstream release.
* Fix FTBFS caused by changes in GTK and Glibc. Closes: #713617
* Fix out-of-date-standards-version lintian warning.
* Added missing build dependency.
2012-06-06 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.8.8-1) unstable; urgency=low
* New upstream release.
* Enable build hardening.
* Detect dbus-python via Python. Closes: #673860
2012-05-30 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.8.7-3) unstable; urgency=medium
* debian/control: move doxygen and graphviz to Build-Depends-Indep.
This will avoild builing the docs during binary-only build, thus making
the package a lot easier to build on slow architectures. Closes: #675100.
2012-05-09 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.8.7-2) unstable; urgency=low
* Fix build failure with GCC 4.7. Closes: #672100.
* Fix out-of-date-standards-version lintian warning.
2011-10-22 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.8.7-1) unstable; urgency=low
* New upstream release.
* Added presage-dbus package.
* Added .desktop and icon files for gprompter and pyprompter.
2011-08-24 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.8.6-2) unstable; urgency=low
* Fixed install layout dh_python2 warning.
* Added -dbg debug packages.
2011-08-06 - Matteo Vescovi <matteo.vescovi@yahoo.co.uk>
presage (0.8.6-1) unstable; urgency=low
* Initial release (Closes: #468820)
* Use autotools-dev.
* Fixed Vcs-Svn and Vcs-Browser fields.
* Switched from python-support to dh_python2.
* Switched packaging from CDBS to debhelper dh.
* Build python extension module for all pyversions.
* Fixed pyprompter module packaging.
* Fixed embedded-javascript-library lintian warning.
* Updated to latest policy.
* Added entries for new files in debian/copyright.
* Added DEP-3 headers to patches.
* Renamed presage-gprompter package to gprompter.
* Renamed presage-pyprompter package to pyprompter.
* Ship README NEWS TODO AUTHORS THANKS to libpresage1, presage, gprompter,
pyprompter packages.
* Install language models in /usr/share/presage.
* Install API docs in /usr/share/doc/libpresage-doc.
* Removed reference to info documentation from man pages.
* Added support for controlling and versioning symbols exported by libpresage.
* Added rule to remove embedded tinyxml source and header files.
* Fixed hyphen-used-as-minus-sign lintian warning.
* Renamed binary package presage-doc to libpresage-doc.
* Added "-Wl,--as-needed" to LDFLAGS to resolve avoidable dependency warnings.
* Fixed lintian extended-description-is-probably-too-short informational
warnings.
* Fixed FBTFS when building twice in a row.

See Also

Package Description
pretzel_2.0n-2-0.3_i386.deb Prettyprinter generator for noweb
preview-latex-style_11.87-3+deb8u1_all.deb extraction of elements from LaTeX documents as graphics
preview.app_0.8.5-10+b1_i386.deb General purpose image viewer for GNUstep
prewikka_1.0.0-1.3_all.deb Security Information Management System [ Web Interface ]
prey_0.6.2-1_all.deb utility for tracking stolen computers
price.app_1.1.0-1+b1_i386.deb Image filtering and manipulation using GNUstep
prime-phylo_1.0.11-2_i386.deb bayesian estimation of gene trees taking the species tree into account
primer3_2.3.6-1_i386.deb Tool to design flanking oligo nucleotides for DNA amplification
primrose_6+dfsg1-3_i386.deb compelling tile-placement puzzle game
primus-libs-ia32_0~20140711-1_i386.deb Shared libraries for primus (32-bit)
primus-libs_0~20140711-1_i386.deb Shared libraries for primus
primus_0~20140711-1_i386.deb client-side GPU offloading for NVIDIA Optimus
print-manager_4.14.0-1_i386.deb printer configuration and monitoring tools
printer-driver-all-enforce_0.20140714_all.deb printer drivers metapackage - enforcing version
printer-driver-all_0.20140714_all.deb printer drivers metapackage
Advertisement
Advertisement